﻿
#language: ru

@SalesOfProducts

Функционал: 008. SalesOfProducts. Создание заказов клиентов

Сценарий: 008.1. SalesOfProducts. Создание заказа клиента для реализации вручную - проверка работы всех кнопок

	Дано Я подключаюсь под "Создание заказов клиентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.008. Реализация товаров"
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем "Дата" я ввожу текст '13.10.2019  0:00:00'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Подразделение приемки заказов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И я нажимаю кнопку выбора у поля "Холдинг"
	Тогда открылось окно 'Холдинги'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Холдинг-компания' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И элемент формы с именем "Холдинг" стал равен 'Холдинг-компания'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И элемент формы с именем "Холдинг" стал равен 'Холдинг-компания'
	И я нажимаю кнопку очистить у поля "Холдинг"
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Обычный покупатель' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И элемент формы с именем "Контрагент" стал равен 'Обычный покупатель'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И элемент формы с именем "Контрагент" стал равен 'Обычный покупатель'
	И я нажимаю кнопку выбора у поля "Соглашение"
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                       |
		| 'Соглашение для Обычного покупателя' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Обычного покупателя'
	И я нажимаю кнопку выбора у поля "Точка доставки"
	Тогда открылось окно 'Точки доставки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                        |
		| 'Обычная точка доставки. Без региона' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Обычная точка доставки. Без региона'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Обычная точка доставки. Без региона'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '13.10.2019'
	И я перехожу к следующему реквизиту
	И элемент формы с именем "ДатаДоставки" стал равен '14.10.2019'
	И элемент формы с именем "ДатаОтгрузки" стал равен '13.10.2019'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский' | 'кг'  | '20%'   | '85,00'           | 'Ашан'           | '850,00'     | '000001 до 27.10.2020 0:00:00' | '10,000, кг'     | '85,00'     | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" из выпадающего списка "% НДС" я выбираю по строке '10'
	И в таблице "Товары" из выпадающего списка "Склад отгрузки" я выбираю по строке 'Куриная ГП'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.'                | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский' | ''                         | 'упак (5 кг) (Ашан)' | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | ''                               | '51,250, кг'     | '100,00'    | '100,00'          | '10%'   | '465,91'   | '5 125,00'   | '102,5'   | 'Куриная ГП'     |
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку 'Копировать строки'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Вставить строки'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.'                | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский' | ''                         | 'упак (5 кг) (Ашан)' | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | ''                               | '51,250, кг'     | '100,00'    | '100,00'          | '10%'   | '465,91'   | '5 125,00'   | '102,5'   | 'Куриная ГП'     |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю на кнопку 'Иерархия'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "ПодобраннаяНоменклатура" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Упаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'    | 'Характеристика' | 'Упаковка'           |
		| 'Сыр Адыгейский'  | 'Ашан'           | 'упак (5 кг) (Ашан)' |
		| 'Сыр Пошехонский' | 'Перекресток'    | 'упак (1 кг)'        |
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Заказ клиента (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Исходный - Заказ клиента' | 'Ед.'                | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'  | ''                         | 'упак (5 кг) (Ашан)' | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | ''                               | '51,250, кг'     | '100,00'    | '100,00'          | '10%'   | '465,91'   | '5 125,00'   | '102,5'   | 'Куриная ГП'     |
		| '20,000'     | 'Сыр Пошехонский' | ''                         | 'упак (1 кг)'        | 'Перекресток'    | '5 053,50'   | '000001 до 27.10.2020 0:00:00' | ''                               | '22,460, кг'     | '225,00'    | '225,00'          | '10%'   | '459,41'   | '5 053,50'   | '44,92'   | 'Сырная ГП'      |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '15,000'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Исходный - Заказ клиента' | 'Ед.'                | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'  | ''                         | 'упак (5 кг) (Ашан)' | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | ''                               | '51,250, кг'     | '100,00'    | '100,00'          | '10%'   | '465,91'   | '5 125,00'   | '102,5'   | 'Куриная ГП'     |
		| '5,000'      | 'Сыр Пошехонский' | ''                         | 'упак (1 кг)'        | 'Перекресток'    | '1 263,38'   | '000001 до 27.10.2020 0:00:00' | ''                               | '5,615, кг'      | '225,00'    | '225,00'          | '10%'   | '114,85'   | '1 263,38'   | '11,23'   | 'Сырная ГП'      |
		| '15,000'     | 'Сыр Пошехонский' | ''                         | 'упак (1 кг)'        | 'Перекресток'    | '3 790,13'   | '000001 до 27.10.2020 0:00:00' | ''                               | '16,845, кг'     | '225,00'    | '225,00'          | '10%'   | '344,56'   | '3 790,13'   | '33,69'   | 'Сырная ГП'      |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "15,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '15,000'     | 'Сыр Адыгейский' | ''                         | 'кг'  | '<Без маркировки>' | '1 275,00'   | ''      | ''                               | '15,000, кг'     | '85,00'     | '85,00'           | '20%'   | '212,50'   | '1 275,00'   | '15'      | 'Сырная ГП'      |
	И я нажимаю на кнопку 'Исходный - Заказ клиента'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '15,000'     | 'Сыр Адыгейский' | '15,000'                   | 'кг'  | '<Без маркировки>' | '1 275,00'   | ''      | ''                               | '15,000, кг'     | '85,00'     | '85,00'           | '20%'   | '212,50'   | '1 275,00'   | '15'      | 'Сырная ГП'      |
	И я нажимаю на кнопку 'Подтвержденный - Заказ клиента'
	И в таблице "Товары" в поле 'Подтвержденный - Заказ клиента' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский' | '15,000'                   | 'кг'  | '<Без маркировки>' | '850,00'     | ''      | '10,000'                         | '10,000, кг'     | '85,00'     | '85,00'           | '20%'   | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.'                | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '2,000'      | 'Сыр Адыгейский' | '3,000'                    | 'упак (5 кг) (Ашан)' | '<Без маркировки>' | '871,25'     | ''      | '2,000'                          | '10,250, кг'     | '85,00'     | '85,00'           | '20%'   | '145,21'   | '871,25'     | '20,5'    | 'Сырная ГП'      |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (1.5 кг) Перекресток'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.'                       | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '7,000'      | 'Сыр Адыгейский' | '10,000'                   | 'упак (1.5 кг) Перекресток' | '<Без маркировки>' | '899,64'     | ''      | '7,000'                          | '10,584, кг'     | '85,00'     | '85,00'           | '20%'   | '149,94'   | '899,64'     | '25,445'  | 'Сырная ГП'      |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Подтвержденный - Заказ клиента' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский' | '15,000'                   | 'кг'  | '<Без маркировки>' | '850,00'     | ''      | '10,000'                         | '10,000, кг'     | '85,00'     | '85,00'           | '20%'   | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	И в поле 'Номер заказа' я ввожу текст '1'
	И в поле с именем 'ДатаПоДаннымКлиента' я ввожу текст '13.10.2019'
	И я нажимаю кнопку выбора у поля "Комментарий"
	Тогда открылось окно 'Комментарий'
	И в поле 'InputFld' я ввожу текст 'Заказ Обычного покупателя для реализации вручную'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И в поле 'Комментарий' я ввожу текст 'Заказ Обычного покупателя для реализации вручную'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Заказ клиента * от * (не проведен)'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ клиента * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ клиента * от *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.2. SalesOfProducts. Проверка отбров для заказов клиентов

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	* Проверка отбора по периоду
		И я нажимаю на гиперссылку "Период"
		И Я указываю в диалоге стандартного периода период с "13.10.2019" по "13.10.2019"
		Тогда открылось окно 'Заказы клиентов'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Состояние' | 'Отгрузка'   | 'Доставка'   | 'Подразделение'                 | 'Ответственный' | 'Комментарий'                                      |
			| '13.10.2019' | '850,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '13.10.2019' | '14.10.2019' | 'Подразделение приемки заказов' | 'Администратор' | 'Заказ Обычного покупателя для реализации вручную' |
	* Проверка отбора по дате отгрузки
		И я нажимаю на гиперссылку "Дата отгрузки"
		И Я указываю в диалоге стандартного периода период с "14.10.2019" по "14.10.2019"
		Тогда открылось окно 'Заказы клиентов'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Дата отгрузки"
		И Я указываю в диалоге стандартного периода период с "13.10.2019" по "13.10.2019"
		Тогда открылось окно 'Заказы клиентов'
	* Проверка отборов по дате доставки
		И я нажимаю на гиперссылку "Дата доставки"
		И Я указываю в диалоге стандартного периода период с "15.10.2019" по "15.10.2019"
		Тогда открылось окно 'Заказы клиентов'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку "Дата доставки"
		И Я указываю в диалоге стандартного периода период с "14.10.2019" по "14.10.2019"
		Тогда открылось окно 'Заказы клиентов'
	* Проверка отборов по состоянию
		И из выпадающего списка "Состояние" я выбираю точное значение 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Состояние" я выбираю точное значение 'Создан'
	* Проверка отборов по этапу
		И из выпадающего списка "Этап" я выбираю точное значение 'Исходный - Заказ клиента'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Этап" я выбираю точное значение 'Подтвержденный - Заказ клиента'
		И я перехожу к следующему реквизиту
	* Проверка отборов по организации
		И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Организация" я выбираю по строке 'Организация'
		И я перехожу к следующему реквизиту
	* Проверка отборов по подразделению
		И из выпадающего списка "Подразделение" я выбираю по строке 'Обособленное подразделение'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
		И я перехожу к следующему реквизиту
	* Проверка отборов по контрагенту
		И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
		И я перехожу к следующему реквизиту
	* Проверка отборов по номенклатуре
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Костромской'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		И я перехожу к следующему реквизиту
	* Проверка отборов по ответственному
		И из выпадающего списка "Ответственный" я выбираю по строке 'Основной менеджер'
		И я перехожу к следующему реквизиту
		Тогда в таблице "Список" количество строк "равно" 0
		И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
		И я перехожу к следующему реквизиту
	* Проверка что все отборы работают вместе
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Состояние' | 'Отгрузка'   | 'Доставка'   | 'Подразделение'                 | 'Ответственный' | 'Комментарий'                                      |
			| '13.10.2019' | '850,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '13.10.2019' | '14.10.2019' | 'Подразделение приемки заказов' | 'Администратор' | 'Заказ Обычного покупателя для реализации вручную' |
	И Я очищаю все отборы на форме списка заказов клиентов
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.3. SalesOfProducts. Проверка копирования заказа

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я очищаю все отборы на форме списка заказов клиентов
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Доставка'   | 'Отгрузка'   | 'Комментарий'                                      | 'Контрагент'         | 'Организация' | 'Ответственный' | 'Подразделение'                 | 'Состояние' | 'Сумма'       | 'Точка доставки'                      | 'Этап'                           |
		| '13.10.2019' | '14.10.2019' | '13.10.2019' | 'Заказ Обычного покупателя для реализации вручную' | 'Обычный покупатель' | 'Организация' | 'Администратор' | 'Подразделение приемки заказов' | 'Создан'    | '850,00, RUB' | 'Обычная точка доставки. Без региона' | 'Подтвержденный - Заказ клиента' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	* Проверка состояния при копировании
		И элемент формы "Состояние" стал равен 'Создан'
	* Проверка этапа при копировании
		И элемент формы "Этап" стал равен ''
		И таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'Подтвержденный - Заказ клиента' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
			| '10,000'     | 'Сыр Адыгейский' | ''                         | 'кг'  | '<Без маркировки>' | '850,00'     | ''      | ''                               | '10,000, кг'     | '85,00'     | '85,00'           | '20%'   | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
	* Проверка заполнения ответственного 
		И элемент формы "Ответственный" стал равен 'Создание заказов клиентов'
	И элемент формы "Организация" стал равен 'Организация'
	И элемент формы "Подразделение" стал равен 'Подразделение приемки заказов'
	И элемент формы "Холдинг" стал равен ''
	И элемент формы "Контрагент" стал равен 'Обычный покупатель'
	И элемент формы "Соглашение" стал равен 'Соглашение для Обычного покупателя'
	И элемент формы "Регион" стал равен ''
	И элемент формы "Точка доставки" стал равен 'Обычная точка доставки. Без региона'
	И элемент формы "Цена" стал равен 'На дату заказа'
	И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
	И элемент формы "Вид цен" стал равен 'Зависимый 1'
	И элемент формы "Цена включает НДС" стал равен 'Да'
	И элемент формы 'Дата доставки' стал равен '  .  .    '
	И элемент формы 'Дата отгрузки' стал равен '  .  .    '
	И элемент формы 'Скидка, %' стал равен '0,00'
	И элемент формы 'Скидка' стал равен '0,00'
	И элемент формы 'НДС' стал равен '141,67'
	И элемент формы 'Итого, RUB' стал равен '850,00'
	И элемент формы 'Вес, кг' стал равен '10,000'
	И Я закрываю окно 'Заказ клиента (создание)'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.4. SalesOfProducts. Загрузка заказов клиентов
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И Я буду читать файл "Заказы клиента.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы клиентов' в течение 60 секунд
	Тогда таблица "Список" содержит строки по шаблону:
		| 'Сумма'          | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Состояние' | 'Отгрузка'   | 'Доставка'   | 'Подразделение'                 | 'Ответственный'             | 'Комментарий'                                                                                              |
		| '11 600,00, RUB' | 'Точка доставки для 5ка. Без региона' | '5ка'                | 'Организация' | 'Создан'    | '02.09.2019' | '03.09.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 5ка для печати'                                                                                     |
		| '5 128,40, RUB'  | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '10.09.2019' | '11.09.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ Обычного покупателя для печати счетов'                                                              |
		| '7 687,50, RUB'  | 'Ашан. Бесскидочный регион'           | 'Ашан'               | 'Организация' | 'Создан'    | '02.06.2020' | '03.06.2020' | 'Обособленное подразделение'    | 'Создание заказов клиентов' | 'Заказ обособленного подразделения'                                                                        |
		| '5 125,00, RUB'  | 'Ашан. Скидочный регион'              | 'Ашан'               | 'Организация' | 'Создан'    | '30.03.2020' | '30.03.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Загрузка заказа из таблицы'                                                                               |
		| '850,00, RUB'    | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '11.10.2019' | '12.10.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ Обычного покупателя для реализации с АРМами'                                                        |
		| '2 665,00, RUB'  | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '15.10.2019' | '16.10.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ Обычного покупателя для работы с АРМами - 2 заказа/одна реализация'                                 |
		| '2 665,00, RUB'  | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '15.10.2019' | '16.10.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 2 Обычного покупателя для работы с АРМами - 2 заказа/одна реализация'                               |
		| '2 665,00, RUB'  | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '16.10.2019' | '17.10.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ Обычного покупателя для работы с АРМами - 2 заказа/одна реализация - количество в паллете больше'   |
		| '2 665,00, RUB'  | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '16.10.2019' | '17.10.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 2 Обычного покупателя для работы с АРМами - 2 заказа/одна реализация - количество в паллете больше' |
		| '2 665,00, RUB'  | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '17.10.2019' | '18.10.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ Обычного покупателя для работы с АРМами - 2 заказа/одна реализация - количество в паллете меньше'   |
		| '2 665,00, RUB'  | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Создан'    | '17.10.2019' | '18.10.2019' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 2 Обычного покупателя для работы с АРМами - 2 заказа/одна реализация - количество в паллете меньше' |
		| '16 543,76, RUB' | 'Ашан. Скидочный регион'              | 'Ашан'               | 'Организация' | 'Создан'    | '28.01.2020' | '29.01.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Заказ 1 - Создание реализаций по складам'                                                                 |
		| '11 817,23, RUB' | 'Ашан. Скидочный регион'              | 'Ашан'               | 'Организация' | 'Создан'    | '22.03.2020' | '23.03.2020' | 'Подразделение приемки заказов' | 'Создание заказов клиентов' | 'Использование неавтоматизированных складов при оформлении накладных. Заказ клиента'                       |
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Доставка'   | 'Отгрузка'   | 'Комментарий'                | 'Контрагент' | 'Организация' | 'Ответственный'             | 'Подразделение'                 | 'Состояние' | 'Сумма'         | 'Точка доставки'         |
		| '30.03.2020' | '30.03.2020' | '30.03.2020' | 'Загрузка заказа из таблицы' | 'Ашан'       | 'Организация' | 'Создание заказов клиентов' | 'Подразделение приемки заказов' | 'Создан'    | '5 125,00, RUB' | 'Ашан. Скидочный регион' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан]'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Вес, кг' | 'Всего, RUB' | 'Ед.'                | 'Количество' | 'НДС, RUB' | 'Номенклатура'   | 'Склад отгрузки' | 'Сумма, RUB' | 'Характеристика' | 'Цена со скидкой' | 'Цена, RUB' |
		| '20%'   | '51,250, кг'     | '102,5'   | '5 125,00'   | 'упак (5 кг) (Ашан)' | '10,000'     | '854,17'   | 'Сыр Адыгейский' | 'Сырная ГП'      | '5 125,00'   | 'Ашан'           | '100,00'          | '100,00'    |
	И в таблице "Товары" я нажимаю на кнопку 'Загрузить из внешнего файла'
	Тогда открылось окно 'Загрузка списка товаров из файла'
	И Я ввожу для загрузки заказа в ячейку "R2C4" текст "Сыр Пошехонский"
	И Я ввожу для загрузки заказа в ячейку "R2C5" текст "Ашан"
	И Я ввожу для загрузки заказа в ячейку "R2C6" текст "упак (5 кг) (Ашан)"
	И Я ввожу для загрузки заказа в ячейку "R2C7" текст "10"
	И Я ввожу для загрузки заказа в ячейку "R2C8" текст "200"
	И я нажимаю на кнопку 'Далее >'
	Тогда открылось окно 'Заказ клиента * от * [Создан] *'
	И в таблице "Товары" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Вес, кг' | 'Всего, RUB' | 'Ед.'                | 'Количество' | 'НДС, RUB' | 'Номенклатура'    | 'Склад отгрузки' | 'Сумма, RUB' | 'Характеристика' | 'Цена со скидкой' | 'Цена, RUB' |
		| '10%'   | '51,250, кг'     | '102,5'   | '10 250,00'  | 'упак (5 кг) (Ашан)' | '10,000'     | '931,82'   | 'Сыр Пошехонский' | 'Сырная ГП'      | '10 250,00'  | 'Ашан'           | '200,00'          | '200,00'    |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заказ клиента * от * [Создан] *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.5. SalesOfProducts. Изменение колонок бланка загрузки заказа клиента из файла

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И я нажимаю на кнопку с именем 'ИзменитьБланкЗаполнениеТаблицы'
	Тогда открылось окно 'Изменение бланка'
	И в таблице "СписокКолонок" я перехожу к строке:
		| 'Колонка'     |
		| 'Организация' |
	И в таблице "СписокКолонок" я снимаю флаг 'Видимость'
	И в таблице "СписокКолонок" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	Тогда Табличный документ "ШаблонСДанными" равен макету "Бланк без организации" по шаблону
	И я нажимаю на кнопку 'Закрыть'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И я нажимаю на кнопку с именем 'ИзменитьБланкЗаполнениеТаблицы'
	Тогда открылось окно 'Изменение бланка'
	И в таблице "СписокКолонок" я перехожу к строке:
		| 'Колонка'     |
		| 'Организация' |
	И в таблице "СписокКолонок" я устанавливаю флаг 'Видимость'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	Тогда Табличный документ "ШаблонСДанными" равен макету "Бланк с организацией" по шаблону
	И я нажимаю на кнопку 'Закрыть'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.6. SalesOfProducts. Печать по заказу клиента счета на оплату - не выводить скидки по заказу ценой с НДС

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                 |
		| 'Заказ Обычного покупателя для печати счетов' |
	И я нажимаю на кнопку 'Счет на оплату (не выводить скидки)'
	Тогда открылось окно 'Заказ клиента * от *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет на оплату заказ - не выводить скидки" по шаблону
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.7. SalesOfProducts. Печать по заказу клиента счета на оплату - выводить скидки по заказу ценой с НДС

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                 |
		| 'Заказ Обычного покупателя для печати счетов' |
	И я нажимаю на кнопку 'Счет на оплату (выводить скидки)'
	Тогда открылось окно 'Заказ клиента * от *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет на оплату заказ - выводить скидки" по шаблону
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.8. SalesOfProducts. Печать по заказу клиента счета на оплату - не выводить скидки по заказу ценой без НДС

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'          |
		| 'Заказ 5ка для печати' |
	И я нажимаю на кнопку 'Счет на оплату (не выводить скидки)'
	Тогда открылось окно 'Заказ клиента * от *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет на оплату заказ - цена без НДС" по шаблону
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.9. SalesOfProducts. Проверка вкладки печать в заказе с обособленным подразделением

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                       |
		| 'Заказ обособленного подразделения' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от *'
	И я перехожу к закладке "Печать"
	И элемент формы с именем "БанковскийСчетКонтрагента" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "Грузополучатель" стал равен 'Ашан. Бесскидочный регион'
	И элемент формы с именем "БанковскийСчетГрузополучателя" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "АдресДоставки" стал равен 'Нижегородская область, город Бор, улица Центральная, дом 11'
	И элемент формы с именем "Руководитель" стал равен 'Главный Р. К.'
	И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Главный Б. К.'
	И элемент формы с именем "БанковскийСчетОрганизации" стал равен 'Основной счет'
	И элемент формы с именем "Грузоотправитель" стал равен 'Обособленное подразделение'
	И элемент формы с именем "БанковскийСчетГрузоотправителя" стал равен 'Банковский счет Обособленного подразделения'
	И элемент формы с именем "АдресПогрузки" стал равен 'Адрес Обособленного подразделения'
	И я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.10. SalesOfProducts. Печать счета на оплату - не выводить скидки по заказу клиента с обособленным подразделением

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                       |
		| 'Заказ обособленного подразделения' |
	И я нажимаю на кнопку 'Счет на оплату (не выводить скидки)'
	Тогда открылось окно 'Заказ клиента * от *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет на оплату заказ (обособленное подразделение) - не выводить скидки" по шаблону
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.11. SalesOfProducts. Печать счета на оплату - выводить скидки по заказу клиента с обособленным подразделением, проверка вкладки печать

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                       |
		| 'Заказ обособленного подразделения' |
	И я нажимаю на кнопку 'Счет на оплату (выводить скидки)'
	Тогда открылось окно 'Заказ клиента * от *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "Счет на оплату заказ (обособленное подразделение) - выводить скидки" по шаблону
	И Я закрываю окно 'Заказ клиента * от *'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.12. SalesOfProducts. Проверка даты запрета в заказе клиента

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем "Дата" я ввожу текст '20.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '21.12.2018'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И Я закрываю окно 'Заказ клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.13. SalesOfProducts. Проверка загрузки бланка заказа клиента

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из бланков'
	Тогда открылось окно 'Загрузка бланков из файлов Excel'
	Когда я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	И в поле 'Путь к каталогу' я ввожу текст "$КаталогТеста$Заказы клиента"
	И в поле 'Путь к обработанным' я ввожу текст "$КаталогТеста$Заказы клиента"
	И я нажимаю на кнопку 'Загрузить заказы'
	И Я закрываю окно 'Загрузка бланков из файлов Excel'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Отгрузка'   | 'Контрагент' | 'Организация' | 'Ответственный'             | 'Подразделение'                 | 'Состояние' | 'Сумма'         | 'Точка доставки'         |
		| '22.01.2020' | '21.01.2020' | 'Ашан'       | 'Организация' | 'Создание заказов клиентов' | 'Подразделение приемки заказов' | 'Создан'    | '2 813,07, RUB' | 'Ашан. Скидочный регион' |
	И в таблице "Список" я выбираю текущую строку
	Тогда элемент формы с именем "Состояние" стал равен 'Создан'   
	И элемент формы с именем "Организация" стал равен 'Организация'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И элемент формы с именем "Холдинг" стал равен ''
	И элемент формы с именем "Контрагент" стал равен 'Ашан'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Ашана по Скидочному региону'
	И элемент формы с именем "Регион" стал равен 'Скидочный регион'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Ашан. Скидочный регион'
	И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
	И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
	И элемент формы с именем "ДатаДоставки" стал равен '22.01.2020'
	И элемент формы с именем "ДатаОтгрузки" стал равен '21.01.2020'
	И элемент формы с именем "ВидЦен" стал равен 'Ашан'
	И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.'                | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '1,000'      | 'Сыр Адыгейский'             | 'упак (5 кг) (Ашан)' | 'Ашан'              | '472,68'     | ''                  | '5,125, кг'      | '92,23'     | '92,23'           | '20%'   | '78,78'    | '472,68'     | '10,25'   | 'Сырная ГП'      |
		| '1,000'      | 'Сыр Костромской'            | 'упак (5 кг) (Ашан)' | 'Ашан'              | '236,37'     | ''                  | '5,125, кг'      | '46,12'     | '46,12'           | '18%'   | '36,06'    | '236,37'     | '10,25'   | 'Сырная ГП'      |
		| '1,000'      | 'Сыр Пошехонский'            | 'упак (5 кг) (Ашан)' | 'Ашан'              | '1 181,72'   | ''                  | '5,125, кг'      | '230,58'    | '230,58'          | '10%'   | '107,43'   | '1 181,72'   | '10,25'   | 'Сырная ГП'      |
		| '5,000'      | 'Крылья куринные (подложка)' | 'кг'                 | '<не используются>' | '922,30'     | '<не используются>' | '5,000, кг'      | '184,46'    | '184,46'          | '20%'   | '153,72'   | '922,30'     | '5'       | 'Куриная ГП'     |
	И элемент формы с именем "БанковскийСчетКонтрагента" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "Грузополучатель" стал равен 'Ашан. Скидочный регион'
	И элемент формы с именем "БанковскийСчетГрузополучателя" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "АдресДоставки" стал равен 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223'
	И элемент формы с именем "Руководитель" стал равен 'Главный Р. К.'
	И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Главный Б. К.'
	И элемент формы с именем "БанковскийСчетОрганизации" стал равен 'Основной счет'
	И элемент формы с именем "Грузоотправитель" стал равен 'Организация'
	И элемент формы с именем "БанковскийСчетГрузоотправителя" стал равен 'Основной счет'
	И элемент формы с именем "СпособСоздания" стал равен 'Загрузка из бланка'
	И элемент формы с именем "Ответственный" стал равен 'Создание заказов клиентов'
	И Я закрываю окно 'Заказ клиента * от * [Создан]'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.14. SalesOfProducts. Создание бланка заказа клиента

	И В командном интерфейсе я выбираю 'Заказы' 'Создание бланков заказов'
	Тогда открылось окно 'Создание бланков заказов'
	И я перехожу к закладке "Настройки"
	И в поле с именем 'Дата' я ввожу текст '22.01.2020'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И я устанавливаю флаг 'Только с ценой'
	И я устанавливаю флаг 'Доступные по сезонам'
	И я устанавливаю флаг 'Доступные для продажи'
	И я устанавливаю флаг 'Только из спецификации'
	И я снимаю флаг 'Только из спецификации'
	И я перехожу к закладке "Заказы клиентов"
	И я удаляю все строки таблицы "ДанныеЗаказовКлиентов"
	И в таблице "ДанныеЗаказовКлиентов" я нажимаю на кнопку с именем 'ДанныеЗаказовКлиентовДобавить'
	И в таблице "ДанныеЗаказовКлиентов" из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
	И в таблице "ДанныеЗаказовКлиентов" я нажимаю кнопку выбора у реквизита "Соглашение"
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                               |
		| 'Соглашение для Ашана по Скидочному региону' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Создание бланков заказов *'
	Когда я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	И я создаю каталог "$КаталогТеста$tmp_blank_1"
	И в таблице "ДанныеЗаказовКлиентов" в поле "Каталог" я ввожу текст "$КаталогТеста$tmp_blank_1"
	И в таблице "ДанныеЗаказовКлиентов" я завершаю редактирование строки
	И в таблице "ДанныеЗаказовКлиентов" я нажимаю на кнопку с именем 'СформироватьБланкиЗаказовКлиентов'
	Затем я жду, что в сообщениях пользователю будет подстрока "Создан бланк" в течение 30 секунд
	И Я закрываю окно 'Создание бланков заказов *'

Сценарий: 008.15. SalesOfProducts. Проверка сохраненного бланка заказа клиента

	И я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	Когда файл "$КаталогТеста$tmp_blank_1\Бланк заказа Ашан. Скидочный регион от 22 января 2020 г..xlsx" существует
	Тогда файл "$КаталогТеста$tmp_blank_1\Бланк заказа Ашан. Скидочный регион от 22 января 2020 г..xlsx" содержит строки
		| '1'                | '999-0123'   | 'Сыр Адыгейский'                             | '' | '0'          | '92,23'                                | 'кг'       |
		| '2'                | '999-0234'   | 'Сыр Костромской'                            | '' | '0'          | '46,115'                               | 'кг'       |
		| '3'                | '999-0345'   | 'Сыр Пошехонский'                            | '' | '0'          | '230,575'                              | 'кг'       |
		| '4'                | '999-0456'   | 'Крылья куринные (подложка)'                 | '' | '0'          | '184,46'                               | 'кг'       |
	И я создаю каталог "$КаталогТеста$tmp_blank_2"
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из бланков'
	Тогда открылось окно 'Загрузка бланков из файлов Excel'
	И в поле 'Путь к каталогу' я ввожу текст "$КаталогТеста$tmp_blank_1"
	И в поле 'Путь к обработанным' я ввожу текст "$КаталогТеста$tmp_blank_2"
	И я нажимаю на кнопку 'Загрузить заказы'
	И Я закрываю окно 'Загрузка бланков из файлов Excel'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Отгрузка'   | 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Состояние' | 'Сумма' | 'Точка доставки'         |
		| '23.01.2020' | '22.01.2020' | 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Создан'    | 'RUB'   | 'Ашан. Скидочный регион' |
	И в таблице "Список" я выбираю текущую строку
	Тогда элемент формы с именем "Состояние" стал равен 'Создан'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И элемент формы с именем "Холдинг" стал равен ''
	И элемент формы с именем "Контрагент" стал равен 'Ашан'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Ашана по Скидочному региону'
	И элемент формы с именем "Регион" стал равен 'Скидочный регион'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Ашан. Скидочный регион'
	И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
	И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
	И элемент формы с именем "ДатаДоставки" стал равен '23.01.2020'
	И элемент формы с именем "ДатаОтгрузки" стал равен '22.01.2020'
	И элемент формы с именем "ВидЦен" стал равен 'Ашан'
	И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
	Тогда в таблице "Товары" количество строк "равно" 0
	И элемент формы с именем "БанковскийСчетКонтрагента" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "Грузополучатель" стал равен 'Ашан. Скидочный регион'
	И элемент формы с именем "БанковскийСчетГрузополучателя" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "АдресДоставки" стал равен 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223'
	И элемент формы с именем "Руководитель" стал равен 'Главный Р. К.'
	И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Главный Б. К.'
	И элемент формы с именем "БанковскийСчетОрганизации" стал равен 'Основной счет'
	И элемент формы с именем "Грузоотправитель" стал равен 'Организация'
	И элемент формы с именем "БанковскийСчетГрузоотправителя" стал равен 'Основной счет'
	И элемент формы с именем "АдресПогрузки" стал равен '117342, Москва г, Севастопольский пр-кт, дом № 56'
	И элемент формы с именем "СпособСоздания" стал равен 'Загрузка из бланка'
	И элемент формы с именем "Ответственный" стал равен 'Создание заказов клиентов'
	И Я закрываю окно 'Заказ клиента * от * [Создан] (не проведен)'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.16. SalesOfProducts. Удаление бланка заказа клиента

	И я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	Когда файл "$КаталогТеста$tmp_blank_2\Бланк заказа Ашан. Скидочный регион от 22 января 2020 г..xlsx" существует
	Тогда я удаляю файл "$КаталогТеста$tmp_blank_2\Бланк заказа Ашан. Скидочный регион от 22 января 2020 г..xlsx"
	И я удаляю файл "$КаталогТеста$tmp_blank_1"
	И я удаляю файл "$КаталогТеста$tmp_blank_2"

Сценарий: 008.17. SalesOfProducts. Проверка отчета Изменение количества в документах между этапами - по заказу клиента

	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Изменения количеств в документах между этапами"
	Тогда открылось окно 'Изменения количеств в документах между этапами'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Изменения количеств в документах между этапами"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И в таблице "Отборы" я нажимаю на кнопку с именем 'Отборы_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок' |
		| 'Документ'  |
	И в таблице "ДоступныеПоля" я выбираю текущую строку
	Тогда открылось окно 'Настройки отчета "Изменения количеств в документах между этапами"'
	И в таблице "Отборы" я перехожу к строке:
		| 'Поле'     |
		| 'Документ' |
	И в таблице "Отборы" из выпадающего списка "Условие" я выбираю точное значение 'Равно'
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыПравоеЗначение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''              |
		| 'Заказ клиента' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                      |
		| 'Заказ Обычного покупателя для реализации вручную' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Изменения количеств в документах между этапами"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Изменения количеств в документах между этапами'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Изменения количеств в документах между этапами заказ клиента"
	И Я закрываю окно 'Изменения количеств в документах между этапами'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 008.18. SalesOfProducts. Проверка заполнения шапки заказа клиента по точке доставки

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Организация'
	И я нажимаю кнопку выбора у поля "Точка доставки"
	Тогда открылось окно 'Точки доставки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'Ашан. Скидочный регион' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И элемент формы с именем "Холдинг" стал равен 'Холдинг-компания'
	И элемент формы с именем "Контрагент" стал равен 'Ашан'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Ашана по Скидочному региону'
	И элемент формы с именем "Регион" стал равен 'Скидочный регион'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Ашан. Скидочный регион'
	И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
	И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
	И элемент формы "Вид цен" стал равен "Ашан"
	И Я закрываю окно 'Заказ клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 008.19. Завершение

	И Я закрыл все окна клиентского приложения